tftpboot files are not deleted when OS name is changed

11/13/2015 11:49 AM - Bryan Kearney

Status: New   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1279979 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1279979

Description of problem:

If an OS is changed or renamed to a name a different OS had the boot files in /var/lib/tftpboot/boot are not deleted.

We have two OSs RedHat 6.6 server and RedHat 6.6 Workstation. When creating an OS we are only able to specify Name =

RedHat, Major Version = 6, Minor Version = 6 but we cannot do that because the names conflict. Instead we have named our server

version RedHat and workstation version RedHat-1. We found out that this caused an error so we switch the names. Now server is

RedHat-1 and workstation is RedHat. However when we try to build a workstation or server it was kernel panicing. The solution was

to remove the files in /var/lib/tftpboot/boot so they would be re-cached from the installation media the next time a machine is going to

be built. The deletion of those files should happen automatically when the OS name is change. There also should be a way to specify

the flavor or version or even distid from factor so we can differentiate our OS types.

Version-Release number of selected component (if applicable):

Satellite 6.1.3

Related issues:

Related to Smart Proxy - Bug #5069: TFTP automatic boot file download does no... New 04/03/2014

History

#1 - 11/16/2015 02:58 AM - Dominic Cleal

- Related to Bug #5069: TFTP automatic boot file download does not track updates added

#2 - 11/16/2015 02:58 AM - Dominic Cleal

- Category set to TFTP

You need to file the issue with Facter on their issue tracker, this isn't part of Foreman.

#3 - 11/20/2015 12:10 PM - Bryan Kearney

Dominic Cleal wrote:

You need to file the issue with Facter on their issue tracker, this isn't part of Foreman.

 Dominc, why is this related to Facter?

#4 - 11/23/2015 03:04 AM - Dominic Cleal

Bryan Kearney wrote:

Dominic Cleal wrote:

You need to file the issue with Facter on their issue tracker, this isn't part of Foreman.
 Dominc, why is this related to Facter?

 You wrote: "There also should be a way to specify the flavor or version or even distid from factor so we can differentiate our OS types."

#5 - 12/04/2015 11:48 AM - Justin Garrison

Facter provides the facts needed but foreman doesn't use them. On hosts I can run facter and use either lsbdistid, lsbdistdescription. Both specify if

they are server, workstation, hpc, atomic etc. The way foreman has provisioning implemented assumes all of 1 type. there needs to be a way to

deploy more than 1 type of a OS version.

#6 - 08/25/2017 05:17 AM - Tomáš Strachota

- Target version set to 115
